## Struct matches_fun

boost::log::matches_fun — The regex matching functor.

## Synopsis

    // In header: <boost/log/utility/functional/matches.hpp>

    struct matches_fun {
      // types
      typedef bool result_type;

      // public member functions
      template<typename StringT, typename ExpressionT>
        bool operator()(StringT const &, ExpressionT const &) const;
      template<typename StringT, typename ExpressionT, typename ArgT>
        bool operator()(StringT const &, ExpressionT const &, ArgT const &) const;
    };

## Description

### `matches_fun` public member functions

1.     template<typename StringT, typename ExpressionT>
         bool operator()(StringT const & str, ExpressionT const & expr) const;

2.     template<typename StringT, typename ExpressionT, typename ArgT>
         bool operator()(StringT const & str, ExpressionT const & expr,
                         ArgT const & arg) const;